# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.calcite.avatica.AvaticaConnection
Modifier and Type
Constant Field
Value
`public static final String`
`NUM_EXECUTE_RETRIES_DEFAULT`
`"5"`
`public static final String`
`NUM_EXECUTE_RETRIES_KEY`
`"avatica.statement.retries"`
`public static final String`
`PLAN_COLUMN_NAME`
`"PLAN"`
`public static final String`
`ROWCOUNT_COLUMN_NAME`
`"ROWCOUNT"`
org.apache.calcite.avatica.AvaticaStatement
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_FETCH_SIZE`
`100`
org.apache.calcite.avatica.MetaImpl.MetaColumn
Modifier and Type
Constant Field
Value
`public final String`
`isAutoincrement`
`""`
`public final String`
`isGeneratedcolumn`
`""`

org.apache.calcite.avatica.remote.Driver
Modifier and Type
Constant Field
Value
`public static final String`
`CONNECT_STRING_PREFIX`
`"jdbc:avatica:remote:"`
org.apache.calcite.avatica.remote.Handler<T>
Modifier and Type
Constant Field
Value
`public static final String`
`HANDLER_SERIALIZATION_METRICS_NAME`
`"Handler.Serialization"`
`public static final int`
`HTTP_INTERNAL_SERVER_ERROR`
`500`
`public static final int`
`HTTP_OK`
`200`
`public static final int`
`HTTP_UNAUTHENTICATED`
`401`
`public static final int`
`HTTP_UNAUTHORIZED`
`403`
org.apache.calcite.avatica.remote.KerberosConnection
Modifier and Type
Constant Field
Value
`public static final float`
`PERCENT_OF_LIFETIME_TO_RENEW`
`0.800000011920929f`
`public static final long`
`RENEWAL_PERIOD`
`30L`
org.apache.calcite.avatica.remote.Service.ErrorResponse
Modifier and Type
Constant Field
Value
`public static final int`
`MISSING_CONNECTION_ERROR_CODE`
`1`
`public static final int`
`UNAUTHORIZED_ERROR_CODE`
`2`
`public static final String`
`UNAUTHORIZED_SQL_STATE`
`"00002"`
`public static final int`
`UNKNOWN_ERROR_CODE`
`-1`
`public static final String`
`UNKNOWN_SQL_STATE`
`"00000"`

org.apache.calcite.avatica.util.Base64
Modifier and Type
Constant Field
Value
`public static final int`
`DECODE`
`0`
`public static final int`
`DO_BREAK_LINES`
`8`
`public static final int`
`DONT_GUNZIP`
`4`
`public static final int`
`ENCODE`
`1`
`public static final int`
`GZIP`
`2`
`public static final int`
`NO_OPTIONS`
`0`
`public static final int`
`ORDERED`
`32`
`public static final int`
`URL_SAFE`
`16`
org.apache.calcite.avatica.util.DateTimeUtils
Modifier and Type
Constant Field
Value
`public static final String`
`DATE_FORMAT_STRING`
`"yyyy-MM-dd"`
`public static final int`
`EPOCH_JULIAN`
`2440588`
`public static final long`
`MILLIS_PER_DAY`
`86400000L`
`public static final long`
`MILLIS_PER_HOUR`
`3600000L`
`public static final long`
`MILLIS_PER_MINUTE`
`60000L`
`public static final long`
`MILLIS_PER_SECOND`
`1000L`
`public static final long`
`SECONDS_PER_DAY`
`86400L`
`public static final String`
`TIME_FORMAT_STRING`
`"HH:mm:ss"`
`public static final String`
`TIMESTAMP_FORMAT_STRING`
`"yyyy-MM-dd HH:mm:ss"`
org.apache.calcite.avatica.util.FilteredConstants
Modifier and Type
Constant Field
Value
`public static final String`
`VERSION`
`"1.22.0"`